# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-07 15:21
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('voucher', '0006_remove_voucher_max_usage_count'),
    ]

    operations = [
        migrations.CreateModel(
            name='VoucherGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512, verbose_name='Название')),
                ('description', models.TextField(verbose_name='Описание')),
                ('start_datetime', models.DateTimeField(verbose_name='Start datetime')),
                ('end_datetime', models.DateTimeField(verbose_name='End datetime')),
            ],
            options={
                'verbose_name_plural': 'акции',
                'verbose_name': 'акция',
            },
        ),
        migrations.AddField(
            model_name='voucher',
            name='group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='vouchers', to='voucher.VoucherGroup', verbose_name='Акция'),
        ),
    ]
